Returns the value of a configurable limit

- « posix_mknod

- posix_setegid »

- PHP Manual
- POSIX Functions
- Returns the value of a configurable limit

# posix_pathconf

(PHP 8 >= 8.3.0)

posix_pathconf — Returns the value of a configurable limit

### Description

posix_pathconf(string `$path`, int `$name`): int|false
Warning

This function is currently not documented; only its argument list is available.

Returns the value of a configurable limit from `name` for a `file`

### Parameters

`path`

  The name of the file whose limit you want to get.

`name`

  The name of the configurable limit, one of the following. `POSIX_PC_LINK_MAX`, `POSIX_PC_MAX_CANON` `POSIX_PC_MAX_INPUT`, `POSIX_PC_NAME_MAX` `POSIX_PC_PATH_MAX`, `POSIX_PC_PIPE_BUF` `POSIX_PC_CHOWN_RESTRICTED`, `POSIX_PC_NO_TRUNC` `POSIX_PC_ALLOC_SIZE_MIN`, `POSIX_PC_SYMLINK_MAX`

### Return Values

Returns the configurable limit or `false`.

### Errors/Exceptions

Throws a ValueError when `path` is empty.

### Examples

Example #1 posix_pathconf() example

This example will get the max path name's length in bytes for the tmp dir.

    <?phpecho posix_pathconf(sys_get_temp_dir(), POSIX_PC_PATH_MAX);?>

The above example will output:

    4096

### Notes

### See Also

- posix_fpathconf() - Returns the value of a configurable limit